﻿using System.Data.Entity;
using EFExplicitLoading.Models;

namespace EFExplicitLoading {

    public class ExplicitContext : DbContext {
        public ExplicitContext()
            : base("ExplicitConnectionString") {
        }

        public DbSet<Product> Products { get; set; }

        public DbSet<Category> Categories { get; set; }

        public DbSet<Brand> Brands { get; set; }

        protected override void OnModelCreating(DbModelBuilder modelBuilder) {
            modelBuilder.Entity<Product>().ToTable("Product");
            modelBuilder.Entity<Brand>().ToTable("Brand");
            modelBuilder.Entity<Category>().ToTable("Category");
        }
    }

}